Get Addable Team Projects And Release Groups
https://app.fossa.com/api/teams/{id}/addable-projects-and-release-groupsGet a paginated list of projects and Release Groups that are not in the team and can be added.
Path parameters
idintegerrequiredID of the team
Query parameters
pageintegerPage number (1-indexed, defaults to 1)
pageSizeintegerNumber of items per page (defaults to 10, max 50)
searchstringSearch term to filter projects and Release Groups by title
Responses
200OKresultsobject[]requiredArray of projects and Release Groups that can be added to the team
idstringrequiredLocator of the project or stringified Release Group ID
titlestringrequiredTitle of the project or Release Group
typeenumrequiredType of the project or Release Group
projectrelease_grouppageSizeintegerrequiredNumber of items per page
pageintegerrequiredCurrent page number (1-indexed)
totalCountintegerrequiredTotal number of projects and Release Groups that can be added to the team
400Bad RequestuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403ForbiddenuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
404Not FounduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
500Server ErroruuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
GET https://app.fossa.com/api/teams/1/addable-projects-and-release-groupscurl --request GET \ --url 'https://app.fossa.com/api/teams/1/addable-projects-and-release-groups' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN'Real request. Mutating methods can change data.
Path params
idintegerrequiredID of the team
Query params
pageintegerPage number (1-indexed, defaults to 1)
pageSizeintegerNumber of items per page (defaults to 10, max 50)
searchstringSearch term to filter projects and Release Groups by title